<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.cfs++.org/simulation">
  <pipeline>
    <stepValueDefinition>
      <dynamic/>
    </stepValueDefinition>
    <meshInput id="input1" gridType="fullGrid">
      <inputFile>
        <hdf5 fileName="timeData/cantilever2dRcfTrans.h5"/>
      </inputFile>
    </meshInput>
    <fft id="fft" inputFilterIds="input1">
      <numSamples>64</numSamples>
      <window type="blackman"/>
      <overlap>0.5</overlap>
      <singleResult>
        <inputQuantity resultName="mechDisplacement"/>
        <outputQuantity resultName="mechDisplacementFFT"/>
      </singleResult>
    </fft>
    <meshOutput id="FFT_2D" inputFilterIds="fft">
      <outputFile>
        <hdf5 extension="h5"/>
      </outputFile>
      <saveResults>
        <result resultName="mechDisplacementFFT">
          <allRegions/>
        </result>
      </saveResults>
    </meshOutput>
  </pipeline>
</cfsdat>
